%global pypi_name hatchling

Name:           python-%{pypi_name}
Version:        1.25.0
Release:        %mkrel 1
Summary:        The build backend used by Hatch
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/hatchling
Source0:        %{pypi_source}
# Man page in groff_man(7) format, hand-written for Fedora based on package
# metadata and --help output
Source1:        hatchling.1
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pip
BuildRequires:  pyproject-rpm-macros


%global common_description %{expand:
This is the extensible, standards compliant build backend used by Hatch.}

%description %{common_description}


%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %{common_description}


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

install -t '%{buildroot}/%{_mandir}/man1' -D -p -m 0644 '%{SOURCE1}'

%check
# It’s not yet clear how, or if, we can run the upstream tests.
# https://github.com/pypa/hatch/issues/120
%pyproject_check_import

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%license LICENSE.txt
%{_bindir}/hatchling
%{_mandir}/man1/hatchling.1*


%changelog
* Thu Dec 19 2024 papoteur <papoteur> 1.25.0-1.mga10
+ Revision: 2126255
- new version 1.25.0

* Fri Mar 29 2024 daviddavid <daviddavid> 1.22.4-1.mga10
+ Revision: 2053102
- new version: 1.22.4

* Thu Dec 07 2023 wally <wally> 1.18.0-2.mga10
+ Revision: 2014973
- rebuild for py3.12

* Fri Sep 01 2023 papoteur <papoteur> 1.18.0-1.mga10
+ Revision: 1983245
- new 1.18.0

* Sun Jan 15 2023 wally <wally> 1.12.2-1.mga9
+ Revision: 1933379
- new version 1.12.2

* Thu Oct 20 2022 papoteur <papoteur> 1.11.1-1.mga9
+ Revision: 1897987
- new 1.11.1

* Mon Sep 05 2022 neoclust <neoclust> 1.8.1-1.mga9
+ Revision: 1883958
- New version 1.8.1

* Tue Aug 09 2022 wally <wally> 1.6.0-1.mga9
+ Revision: 1876531
- new version 1.6.0

* Fri Jul 01 2022 joequant <joequant> 1.3.1-1.mga9
+ Revision: 1866882
- imported package python-hatchling

